API Reference
Configure an Authentication Provider
/v1/users/authentication-providersConfigures an Authentication Provider on the tenant.
An authentication or identity provider (IdP) is a platform that is typically used to store and manage user accounts on behalf of an organization or a service provider. MATTR VII uses the authentication provider to authenticate end users before issuing them credentials.
The /.well-known/openid-configuration endpoint of the Authentication Provider must contain values for the authorization_endpoint, token_endpoint and scopes_supported.
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
The Authentication Provider payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/users/authentication-providers" \ -H "Content-Type: application/json" \ -d '{ "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN" }'{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "redirectUrl": "https://tenant.vii.mattr.global/v1/oauth/authentication/callback", "url": "http://example.com", "scope": [ "openid", "profile", "email", "address", "phone" ], "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN", "tokenEndpointAuthMethod": "client_secret_post", "staticRequestParameters": { "prompt": "login", "max_age": 10000 }, "forwardedRequestParameters": [ "login_hint" ], "claimsToPersist": [ "userId" ], "clientSecret": "***********************************************************6-OjH"}Retrieve all Authentication Providers
/v1/users/authentication-providersReturns a list of all Authentication Providers on your tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/users/authentication-providers"{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "983c0a86-204f-4431-9371-f5a22e506599", "redirectUrl": "https://tenant.vii.mattr.global/v1/oauth/authentication/callback", "url": "http://example.com", "scope": [ "openid", "profile", "email", "address", "phone" ], "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN", "tokenEndpointAuthMethod": "client_secret_post", "staticRequestParameters": { "prompt": "login", "max_age": 10000 }, "forwardedRequestParameters": [ "login_hint" ], "claimsToPersist": [ "userId" ], "clientSecret": "***********************************************************6-OjH" } ]}Retrieve an Authentication Provider
/v1/users/authentication-providers/{id}Retrieve an existing Authentication Provider by providing its ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Authentication Provider ID
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/users/authentication-providers/41458e5a-9092-40b7-9a26-d4eb43c5792f"{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "redirectUrl": "https://tenant.vii.mattr.global/v1/oauth/authentication/callback", "url": "http://example.com", "scope": [ "openid", "profile", "email", "address", "phone" ], "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN", "tokenEndpointAuthMethod": "client_secret_post", "staticRequestParameters": { "prompt": "login", "max_age": 10000 }, "forwardedRequestParameters": [ "login_hint" ], "claimsToPersist": [ "userId" ], "clientSecret": "***********************************************************6-OjH"}Update an Authentication Provider
/v1/users/authentication-providers/{id}Updates an existing Authentication Provider by providing its ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Authentication Provider ID
uuidRequest Body
application/json
Update an Authentication Provider
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/users/authentication-providers/41458e5a-9092-40b7-9a26-d4eb43c5792f" \ -H "Content-Type: application/json" \ -d '{ "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN" }'{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "redirectUrl": "https://tenant.vii.mattr.global/v1/oauth/authentication/callback", "url": "http://example.com", "scope": [ "openid", "profile", "email", "address", "phone" ], "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN", "tokenEndpointAuthMethod": "client_secret_post", "staticRequestParameters": { "prompt": "login", "max_age": 10000 }, "forwardedRequestParameters": [ "login_hint" ], "claimsToPersist": [ "userId" ], "clientSecret": "***********************************************************6-OjH"}Delete an Authentication Provider
/v1/users/authentication-providers/{id}Deletes an existing Authentication Provider by providing its ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Authentication Provider ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v1/users/authentication-providers/41458e5a-9092-40b7-9a26-d4eb43c5792f"How would you rate this page?
Last updated on